org.python.modules._csv

## Enum QuoteStyle

- java.lang.Object
- - java.lang.Enum<QuoteStyle>
  - - org.python.modules._csv.QuoteStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QuoteStyle>

    public enum QuoteStyle
    extends java.lang.Enum<QuoteStyle>

CSV quoting styles.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`QUOTE_ALL`
`QUOTE_MINIMAL`
`QUOTE_NONE`
`QUOTE_NONNUMERIC`

### Method Summary

All Methods Static Methods Concrete Methods
`static QuoteStyle` `fromOrdinal(int ordinal)` Return a QuoteStyle instance from an integer value.
`static QuoteStyle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QuoteStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUOTE_MINIMAL

    public static final QuoteStyle QUOTE_MINIMAL

#### QUOTE_ALL

    public static final QuoteStyle QUOTE_ALL

#### QUOTE_NONNUMERIC

    public static final QuoteStyle QUOTE_NONNUMERIC

#### QUOTE_NONE

    public static final QuoteStyle QUOTE_NONE

### Method Detail

#### values

    public static QuoteStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QuoteStyle c : QuoteStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QuoteStyle valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromOrdinal

    public static QuoteStyle fromOrdinal(int ordinal)

Return a QuoteStyle instance from an integer value.

Parameters:
  `ordinal` - an int value
Returns:
  a QuoteStyle instance of null if invalid ordinal